Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.xmpp.packet
Enum Roster.Ask

    java.lang.Object
      java.lang.Enum<Roster.Ask>
          org.xmpp.packet.Roster.Ask

All Implemented Interfaces:
  Serializable, Comparable<Roster.Ask>

Enclosing class:
  Roster

    public static enum Roster.Ask

extends Enum<Roster.Ask>

Type-safe enumeration for the roster ask type. Valid ask types:

- `Roster.Ask.subscribe` -- the roster item has been asked for permission to subscribe to their presence but no response has been received.
- `Roster.Ask.unsubscribe` -- the roster owner has asked to the roster item to unsubscribe from it's presence but has not received confirmation.

Enum Constant Summary
`subscribe` The roster item has been asked for permission to subscribe to their presence but no response has been received.
`unsubscribe` The roster owner has asked to the roster item to unsubscribe from it's presence but has not received confirmation.

Method Summary
`static Roster.Ask` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Roster.Ask[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### subscribe

    public static final Roster.Ask subscribe

  The roster item has been asked for permission to subscribe to their presence but no response has been received.

### unsubscribe

    public static final Roster.Ask unsubscribe

  The roster owner has asked to the roster item to unsubscribe from it's presence but has not received confirmation.

Method Detail

### values

    public static final Roster.Ask[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Roster.Ask c : Roster.Ask.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Roster.Ask valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.